body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f5f5f5;
}

h1 {
  text-align: center;
  color: #333;
}

main {
  max-width: 800px;
  margin: 20px auto;
  background-color: #fff;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

form {
  display: flex;
  flex-direction: column;
}

fieldset {
  margin-bottom: 20px;
  border: 1px solid #ccc;
  padding: 100px;
  border-radius: 5px;
}

legend {
  font-weight: bold;
}

label {
  margin: 10px;
}

input[type="number"],
select {
  width: 100%;
  padding: 8px;
  margin: 10px;
  border-radius: 3px;
  border: 1px solid #ccc;
}

input[type="submit"] {
  width: 100%;
  padding: 10px;
  margin-top: 20px;
  background-color: #007bff;
  color: #fff;
  border: none;
  border-radius: 3px;
  cursor: pointer;
}

input[type="submit"]:hover {
  background-color: #0056b3;
}

table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 20px;
  border-radius: 5px;
  overflow: hidden;
}

th, td {
  padding: 12px;
  text-align: center;
  border: 1px solid #ccc;
}

th {
  background-color: #007bff;
  color: #fff;
  font-weight: bold;
}

tr:nth-child(even) {
  background-color: #f2f2f2;
}

tr:hover {
  background-color: #e2e2e2;
}





.opciones{
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.op{
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  color: black;
  display: flex;
  justify-content: center;
  text-align: center;
  align-items: center;
  border-radius: 12px;
  background-color: #fff;
  text-decoration: none;
  width: 300px;
  height: 300px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

/* Estilos para el título principal */
.main-heading {
  text-align: center;
  color: #333;
  margin-top: 20px;
}

/* Estilos para el input de archivo */
.file-input {
  margin-top: 10px;
  width: 100%;
  padding: 10px;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 16px;
}